package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 视频尽调-企业商誉
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("video_due_diligence_corporate_goodwill")
public class VideoDueDiligenceCorporateGoodwill {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * 视频尽调id
     */
    @TableField("video_due_diligence_id")
    private Long videoDueDiligenceId;

    /**
     * 是否存在被追偿余额、关注类余额、不良类余额
     */
    @TableField("recovered_balance")
    private Integer recoveredBalance;

    /**
     * 是否存在未结清信贷的关注类账户
     */
    @TableField("unclear_follow_up_accounts")
    private Integer unclearFollowUpAccounts;

    /**
     * 是否存在未结清信贷的不良类账户
     */
    @TableField("outstanding_non_performing_accounts")
    private Integer outstandingNonPerformingAccounts;

    /**
     * 未结清短期借款余额
     */
    @TableField("outstanding_short_term_loan_balance")
    private BigDecimal outstandingShortTermLoanBalance;

    /**
     * 是否存在被追偿余额、关注类余额、不良类余额得分
     */
    @TableField("recovered_balance_score")
    private BigDecimal recoveredBalanceScore;

    /**
     * 是否存在未结清信贷的关注类账户得分
     */
    @TableField("concerned_accounts_with_outstanding_credit_score")
    private BigDecimal concernedAccountsWithOutstandingCreditScore;

    /**
     * 是否存在未结清信贷的不良类账户得分
     */
    @TableField("outstanding_non_performing_accounts_score")
    private BigDecimal outstandingNonPerformingAccountsScore;

    /**
     * 未结清短期借款余额得分
     */
    @TableField("outstanding_balance_score")
    private BigDecimal outstandingBalanceScore;

    /**
     * 问题
     */
    @TableField("question")
    private String question;

    /**
     * 反馈
     */
    @TableField("feedback")
    private String feedback;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<FileStorage> files;

    @TableField(exist = false)
    private List<FileStorage> creditDetailFiles;

    public List<FileStorage> getCreditDetailFiles() {
        return creditDetailFiles;
    }

    public void setCreditDetailFiles(List<FileStorage> creditDetailFiles) {
        this.creditDetailFiles = creditDetailFiles;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getRecoveredBalanceScore() {
        return recoveredBalanceScore;
    }

    public void setRecoveredBalanceScore(BigDecimal recoveredBalanceScore) {
        this.recoveredBalanceScore = recoveredBalanceScore;
    }

    public BigDecimal getConcernedAccountsWithOutstandingCreditScore() {
        return concernedAccountsWithOutstandingCreditScore;
    }

    public void setConcernedAccountsWithOutstandingCreditScore(BigDecimal concernedAccountsWithOutstandingCreditScore) {
        this.concernedAccountsWithOutstandingCreditScore = concernedAccountsWithOutstandingCreditScore;
    }

    public BigDecimal getOutstandingNonPerformingAccountsScore() {
        return outstandingNonPerformingAccountsScore;
    }

    public void setOutstandingNonPerformingAccountsScore(BigDecimal outstandingNonPerformingAccountsScore) {
        this.outstandingNonPerformingAccountsScore = outstandingNonPerformingAccountsScore;
    }

    public BigDecimal getOutstandingBalanceScore() {
        return outstandingBalanceScore;
    }

    public void setOutstandingBalanceScore(BigDecimal outstandingBalanceScore) {
        this.outstandingBalanceScore = outstandingBalanceScore;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getVideoDueDiligenceId() {
        return videoDueDiligenceId;
    }

    public void setVideoDueDiligenceId(Long videoDueDiligenceId) {
        this.videoDueDiligenceId = videoDueDiligenceId;
    }
    public Integer getRecoveredBalance() {
        return recoveredBalance;
    }

    public void setRecoveredBalance(Integer recoveredBalance) {
        this.recoveredBalance = recoveredBalance;
    }
    public Integer getUnclearFollowUpAccounts() {
        return unclearFollowUpAccounts;
    }

    public void setUnclearFollowUpAccounts(Integer unclearFollowUpAccounts) {
        this.unclearFollowUpAccounts = unclearFollowUpAccounts;
    }
    public Integer getOutstandingNonPerformingAccounts() {
        return outstandingNonPerformingAccounts;
    }

    public void setOutstandingNonPerformingAccounts(Integer outstandingNonPerformingAccounts) {
        this.outstandingNonPerformingAccounts = outstandingNonPerformingAccounts;
    }

    public BigDecimal getOutstandingShortTermLoanBalance() {
        return outstandingShortTermLoanBalance;
    }

    public void setOutstandingShortTermLoanBalance(BigDecimal outstandingShortTermLoanBalance) {
        this.outstandingShortTermLoanBalance = outstandingShortTermLoanBalance;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

    @Override
    public String toString() {
        return "VideoDueDiligenceCorporateGoodwill{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", videoDueDiligenceId=" + videoDueDiligenceId +
            ", recoveredBalance=" + recoveredBalance +
            ", unclearFollowUpAccounts=" + unclearFollowUpAccounts +
            ", outstandingNonPerformingAccounts=" + outstandingNonPerformingAccounts +
            ", outstandingShortTermLoanBalance=" + outstandingShortTermLoanBalance +
            ", question=" + question +
            ", feedback=" + feedback +
        "}";
    }
}
